# Class UIManager.LookAndFeelInfo

java.lang.Object
javax.swing.UIManager.LookAndFeelInfo

Enclosing class:
  `UIManager`

public static class UIManager.LookAndFeelInfo extends Object
Provides a little information about an installed `LookAndFeel` for the sake of configuring a menu or for initial application set up.

Since:
  1.2
See Also:
  - `UIManager.getInstalledLookAndFeels()`
  - `LookAndFeel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LookAndFeelInfo(String name, String className)`
  Constructs a `UIManager`s `LookAndFeelInfo` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Returns the name of the class that implements this look and feel.
  `String`
  `getName()`
  Returns the name of the look and feel in a form suitable for a menu or other presentation
  `String`
  `toString()`
  Returns a string that displays and identifies this object's properties.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### LookAndFeelInfo

    public LookAndFeelInfo(String name, String className)
    Constructs a `UIManager`s `LookAndFeelInfo` object.
    Parameters:
      `name` - a `String` specifying the name of the look and feel
      `className` - a `String` specifying the name of the class that implements the look and feel

- ## Method Details

  - ### getName

    public String getName()
    Returns the name of the look and feel in a form suitable for a menu or other presentation
    Returns:
      a `String` containing the name
    See Also:
      - `LookAndFeel.getName()`

  - ### getClassName

    public String getClassName()
    Returns the name of the class that implements this look and feel.
    Returns:
      the name of the class that implements this `LookAndFeel`
    See Also:
      - `LookAndFeel`

  - ### toString

    public String toString()
    Returns a string that displays and identifies this object's properties.
    Overrides:
      `toString` in class `Object`
    Returns:
      a `String` representation of this object